<nz-card [nzCover]="coverTemplate" [nzActions]="[actionDetails]">
  <nz-card-meta [nzTitle]="title" [nzDescription]="subtitle"></nz-card-meta>
  <p [innerHtml]="description"></p>
</nz-card>
<ng-template #coverTemplate>
  <img [src]="src" [alt]="alt" />
</ng-template>
<ng-template #actionDetails>
  <button nz-button nzType="primary" (click)="openDialog()">DETAILS</button>
</ng-template>
